## GtrWindow

GtrWindow

## Functions

GType | gtr_window_register_type ()
GtrTab * | gtr_window_create_tab ()
GtrTab * | gtr_window_get_active_tab ()
GList * | gtr_window_get_all_tabs ()
GtrNotebook * | gtr_window_get_notebook ()
GtrHeader * | gtr_window_get_header_from_active_tab ()
GtkWidget * | gtr_window_get_statusbar ()
GtkUIManager * | gtr_window_get_ui_manager ()
GtrView * | gtr_window_get_active_view ()
GList * | gtr_window_get_all_views ()
GtkWidget * | gtr_window_get_tab_from_location ()
void | gtr_window_set_active_tab ()

## Description

## Functions

### gtr_window_register_type ()

    GType
    gtr_window_register_type (GTypeModule *module);

#### Returns

### gtr_window_create_tab ()

    GtrTab *
    gtr_window_create_tab (GtrWindow *window,
                           GtrPo *po);

Adds a new GtrTab to the GtrNotebook and returns the GtrTab.

#### Parameters

window | a GtrWindow |
po | a GtrPo |

#### Returns

a new GtrTab object.

[transfer none]

### gtr_window_get_active_tab ()

    GtrTab *
    gtr_window_get_active_tab (GtrWindow *window);

Gets the active GtrTab of the `window` .

#### Parameters

window | a GtrWindow |

#### Returns

the active GtrTab of the `window` .

[transfer none]

### gtr_window_get_all_tabs ()

    GList *
    gtr_window_get_all_tabs (GtrWindow *window);

Gets a list of all tabs in the `window` or NULL if there is no tab opened.

#### Parameters

window | a GtrWindow |

#### Returns

a list of all tabs in the `window` or NULL if there is no tab opened.

[transfer container][element-type Gtranslator.Tab]

### gtr_window_get_notebook ()

    GtrNotebook *
    gtr_window_get_notebook (GtrWindow *window);

Gets the main GtrNotebook of the `window` .

#### Parameters

window | a GtrWindow |

#### Returns

the GtrNotebook of the `window` .

[transfer none]

### gtr_window_get_header_from_active_tab ()

    GtrHeader *
    gtr_window_get_header_from_active_tab (GtrWindow *window);

Gets the GtrHeader of the GtrPo of in the active GtrTab.

#### Parameters

window | a GtrWindow |

#### Returns

the GtrHeader of the GtrPo of in the active GtrTab.

[transfer none]

### gtr_window_get_statusbar ()

    GtkWidget *
    gtr_window_get_statusbar (GtrWindow *window);

Gets the statusbar widget of the window.

#### Parameters

window | a GtrWindow |

#### Returns

the statusbar widget of the window.

[transfer none]

### gtr_window_get_ui_manager ()

    GtkUIManager *
    gtr_window_get_ui_manager (GtrWindow *window);

Gets the GtkUIManager of the window.

#### Parameters

window | a GtrWindow |

#### Returns

the GtkUIManager of the `window` .

[transfer none]

### gtr_window_get_active_view ()

    GtrView *
    gtr_window_get_active_view (GtrWindow *window);

Gets the active translation view in the GtranslationWindow or NULL if there is not tab opened.

#### Parameters

window | a GtranslationWindow |

#### Returns

the active translation view in the GtranslationWindow or `NULL` if there is not tab opened.

[transfer none]

### gtr_window_get_all_views ()

    GList *
    gtr_window_get_all_views (GtrWindow *window,
                              gboolean original,
                              gboolean translated);

Returns all the views currently present in GtranslationWindow

#### Parameters

window | the GtranslationWindow |
original | TRUE if you want original TextViews. |
translated | TRUE if you want transtated TextViews. |

#### Returns

a newly allocated list of GtranslationWindow objects.

[transfer container][element-type Gtranslator.View]

### gtr_window_get_tab_from_location ()

    GtkWidget *
    gtr_window_get_tab_from_location (GtrWindow *window,
                                      GFile *location);

Gets the GtrTab of the GtrWindows that matches with the `location` .

#### Parameters

window | a GtrWindow |
location | the GFile of the po file of the GtrTab |

#### Returns

the GtrTab which `location` matches with its po file.

[transfer none]

### gtr_window_set_active_tab ()

    void
    gtr_window_set_active_tab (GtrWindow *window,
                               GtkWidget *tab);

Sets the active tab for the `window` .

#### Parameters

window | a GtrWindow |
tab | a GtrTab |

## Types and Values